getgeometry: Get detailed geometry for a specific event

API: gdacs.org:gdacs-api
Endpoint: /gdacsapi/api/polygons/getgeometry
Response format: application/json
Charset: utf-8
Auth: none
Method: GET
Last Status: 200
Latency: 287ms

Description

Returns detailed GeoJSON geometry for a specific event including centroid points, affected area polygons, and intensity maps (for earthquakes).

Parameters (2)

eventid (integer, query, required)

Unique identifier for the event

eventtype (string, query, required)

Type of disaster event

Constraints: {'enum': ['EQ', 'TC', 'FL', 'VO', 'DR', 'WF']}

Examples (2)

Get event geometry openapi-spec
curl 'https://www.gdacs.org/gdacsapi/api/polygons/getgeometry?eventtype=FL&eventid=1103742&episodeid=10'
import requests

resp = requests.get(
    "https://www.gdacs.org/gdacsapi/api/polygons/getgeometry",
    params={
        'eventtype': 'FL',
        'eventid': '1103742',
        'episodeid': '10',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("gdacs")
result = api.fetch("gdacsapi/api/polygons/getgeometry", eventtype="FL", eventid=1103742, episodeid=10)

for item in result:
    print(item)
const resp = await fetch("https://www.gdacs.org/gdacsapi/api/polygons/getgeometry?eventtype=FL&eventid=1103742&episodeid=10");
const data = await resp.json();
Get detailed geometry for a specific event openapi-spec
curl 'https://www.gdacs.org/gdacsapi/api/polygons/getgeometry?eventtype=EQ&eventid=1529871'
import requests

resp = requests.get(
    "https://www.gdacs.org/gdacsapi/api/polygons/getgeometry",
    params={
        'eventtype': 'EQ',
        'eventid': '1529871',
    },
)
data = resp.json()
import zingu_apis

api = zingu_apis.api("gdacs")
result = api.fetch("gdacsapi/api/polygons/getgeometry", eventtype="EQ", eventid=1529871)

for item in result:
    print(item)
const resp = await fetch("https://www.gdacs.org/gdacsapi/api/polygons/getgeometry?eventtype=EQ&eventid=1529871");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 17:44:49.932566 200 287ms
2026-04-16 00:50:05.850033 200 260ms
2026-04-16 00:12:20.026827 200 621ms
2026-04-15 02:35:15.406185 200 231ms
2026-04-15 00:05:52.839369 200 298ms
2026-04-14 02:39:07.496666 200 226ms
2026-04-14 02:07:23.963127 200 295ms
2026-04-12 14:07:34.708989 200 209ms
2026-04-12 14:04:52.803363 200 246ms
2026-04-10 03:18:22.559242 200 158ms
2026-04-10 02:38:38.857165 200 196ms
2026-04-09 02:29:53.265844 ERR
2026-04-09 01:34:45.575016 200 13536ms
2026-04-08 07:43:47.142209 200 505ms
2026-04-08 07:10:39.248247 200 282ms
2026-04-07 01:46:34.799244 200 246ms
2026-04-07 00:37:09.676593 200 269ms
2026-04-06 04:41:45.749612 200 376ms
2026-04-06 04:02:54.524897 200 304ms
2026-04-05 02:26:28.118734 200 369ms
2026-04-05 02:01:41.348335 200 286ms
2026-04-04 03:16:37.288398 200 222ms
2026-04-04 02:29:07.200716 200 236ms
2026-04-03 12:33:06.598607 200 269ms
2026-04-03 12:32:04.650319 200 335ms
2026-03-30 02:15:32.557173 200 305ms
2026-03-30 02:07:32.513775 200 233ms
2026-03-29 13:24:32.151388 200 212ms
2026-03-29 12:47:21.912124 200 224ms
2026-03-23 10:19:09.731376 200 233ms
2026-03-23 09:41:15.732900 200 292ms